/*
Theme Name: Twenty Twenty-Five Child
Template: twentytwentyfive
*/


/* Child theme custom styles */


.kb-splide {
  --splide-nav-color: #EBE5DC; 
  --splide-nav-background: #8D6147 !important;
  --splide-nav-border: 2px solid transparent;
  --splide-pagination-background:  #8D6147 !important;
}

.wp-block-navigation:not(.has-text-color) .wp-block-navigation__submenu-container {
  color: #EBE5DC;
}
.wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container {
  background-color: #8D6147;
  border: 1px solid #8D6147;
}

.page-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 2rem;
    margin: 2rem;
}

.page-wrapper h2 {
    font-weight: 300 !important;
    text-align: left;
}

h2 {
    font-weight: 300 !important;
    text-align: left;
}

p, li, ui {
    font-weight: 100 !important;
    text-align: left;
}


.page-list {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 1rem;
}

.page-list h4 {
    font-weight: 300  !important;
    margin: 0;
}

/* Estilo opcional para links */
.page-list h4 a {
    text-decoration: none;
    color: inherit;
    transition: color 0.3s;
}

.page-list h4 a:hover {
    color: #8D6147; /* cor primária definida no theme.json */
}

.wp-block-kadence-advancedheading {
    width: 100vw !important;                  
    margin-left: calc(-1 * (100% - 100vw)/2) !important; 
    margin-right: calc(-1 * (100% - 100vw)/2) !important;
    box-sizing: border-box;
}

 /* text background */
.full-bg-section {
    width: 100vw !important;
    margin-left: calc(-1 * (100vw - 100%) / 2);
    margin-right: calc(-1 * (100vw - 100%) / 2);
    background-color: #8D6147 !important;
    padding: 60px 0;
    box-sizing: border-box;
    margin-block-start: 10rem !important;
}

.full-bg-section > * {
    max-width: 70vw !important;
    margin-left: auto !important;
    margin-right: auto !important;
    color: #EBE5DC; 
}

.full-bg-section.is-layout-constrained {
    max-width: none !important;
    width: 100vw !important;
    margin-left: calc(-1 * (100vw - 100%) / 2) !important;
    margin-right: calc(-1 * (100vw - 100%) / 2) !important;
}

.wp-block-post-content {
}

.wp-block-group:has(> .wp-block-post-content) {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}
   

footer {
margin-block-start: -1.2rem !important;
}

.pll-switcher-select{
  background-color: #8D6147;
  border: 0px;
  color: #EBE5DC;
  font-family: lato;
}

.wp-block-polylang-language-switcher{
  background-color: #8D6147;
  border: 0px;
  color: #EBE5DC;
  font-family: lato;
  text-align: right;
  padding: 0 2.5vw;
}

.wp-block-polylang-language-switcher a{
  color: #EBE5DC;
}

